"""Add `type` column to products

Revision ID: 1eb7b3ec1563
Revises: 132c02088894
Create Date: 2021-10-12 17:20:44.963052

"""
from alembic import op
import sqlalchemy as sa
import maps_adv.billing_proxy.lib.db.columns
import maps_adv.billing_proxy.lib.db.enums


# revision identifiers, used by Alembic.
revision = "1eb7b3ec1563"
down_revision = "132c02088894"
branch_labels = None
depends_on = None


def upgrade():
    op.add_column(
        "products",
        sa.Column(
            "type",
            sa.String,
            nullable=False,
            server_default="",
        ),
    )


def downgrade():
    op.drop_column("products", "type")
